RUNDEF Secao05

/*
PROMOVENDO O VALOR DE UM INDIVIDUO SELECIONADO
GUARDANDO PERMANENTEMENTE UMA VARIAVEL NA BASE DE DADOS

Descrio do programa:
Este programa seleciona a idade do chefe de domiclio e guarda
esta informao como uma varivel de domiclio. 
Esta operao  vlida porque somente existe uma pessoa que
seja qualificada (existe somente um chefe por domiclio). 
O programa mostra como uma varivel do nvel de pessoa pode ser 
"promovida" para o nvel de domiclio.

Com uma frequncia simples pode-se revisar se existem domiclios com 
chefes com uma idade menor que a idade aceita.
*/

DEFINE DOMICIL.IDADECH AS PESSOA.IDADE
  FOR PESSOA.PARENT = 1
  VARLABEL "Idade do chefe de domiclio"
  RANGE 0 - 100
  SAVE "Domicil_IDADECH.rbf" OVERWRITE
  
TABLE VERIF AS FREQUENCY OF DOMICIL.IDADECH
  FOR DOMICIL.IDADECH <= 15

/*
Notas de programao:
1. O comando DEFINE inclui a clusula SAVE que guarda a varivel
   de maneira permanente na base de dados.  necessrio incluir o
   caminho completo de localizao da nova varivel, pelo contrrio
   ser guardada no diretrio de trabalho definido no dicionrio
   ou em Preferncias. O exemplo assume o diretrio de instalao
   por omisso de Redatam.
2. Somente idades jovens (<=15) entram na tabela. A clusula 
   FOR DOMICIL.IDADECH <= 15 limita a tabulao aos chefes de domiclio
   que tenham 15 anos ou menos.
3.  obrigatrio definir o RANGE. Uma varivel no pode ser guardada sem 
   esta clusula. Quando a faixa de uma varivel a ser guardada no  conhecida,
   se recomenda correr o programa primeiro sem as clusulas SAVE e FOR
   para conhecer a faixa da varivel.
4. No pode haver um arquivo de seleo ao guardar uma varivel nova, isto ,
   deve ser SELECTION ALL (opo por omisso).
5. Tampouco pode-se aplicar filtros no comando RUNDEF ao guardar uma
   varivel.
6. A clusula VARLABEL especifica o rtulo para a varivel nova.
7. A clusula OVERWRITE na clusula SAVE permite que o arquivo de sada
   (Domicil_IDADECH.rbf) seja sobrescrito.
 
Resultados:
    Categoras  Casos
    15          171
    Total       171

Comentrios:
1. Depois de executar o programa, o dicionrio atualizado mostra a
   nova varivel IDADECH na entidade DOMICIL. O dicionrio deve ser 
   guardado para que esta modificao seja permanente.
2. Quando, por qualquer motivo, a varivel deve ser recriada, antes de
   executar o programa, o nome da varivel debe ser eliminado do
   dicionrio. Lembre que so duas coisas diferentes, o nome de uma
   varivel no dicionrio (que debe ser eliminado) e o arquivo que
   guarda a informao (este se regrava automaticamente ao usar
   a clusula OVERWRITE).
3.  uma boa prtica de programao nomear o arquivo utilizando o nome
   da entidade e o da varivel, separados por um travesso. A extenso no 
    necessria, ainda que isto nos informe que se trata de um arquivo binrio 
   com dados de uma base Redatam (.rbf).
4.  interessante correr uma frequncia simples da nova varivel criada. 
   Ao fazer isto, pode-se observar que existem 2544 domiclios com valor 
   no aplicvel para a varivel IDADECH. Estes casos correspondem a domiclios
   sem chefes (ver secao01). Poderamos ter utilizado a clusula DEFAULT 0 
   (ou qualquer outro valor) no comando DEFINE, para estabelecer un valor 
   para os casos de no se aplica.
*/ 
