RUNDEF Secao12

/*
DERIVAR UMA VARIAVEL UTILIZANDO A FUNCAO SWITCH
Tipo de domiclio

Descrio do programa:
O uso da funo SWITCH  recomendado quando a definio
da nova varivel est baseada em vrias variveiss distintas. Ainda
que mais complexa de implementar, esta tcnica previne muito melhor a
introduo de erros semnticos. A funo SWITCH pode ser
entendida como a criao de uma rvore de deciso.

O exemplo a seguir ilustra a classificao do domiclio baseada no
nmero de filhos, o sexo do chefe e a existncia ou no de um cnjuge
ou convivente. A rvore de deciso seria:

Domiclio com chefe que tem parceiro
    O domiclio no inclui filhos           Tipo 1
    O domiclio inclui filhos               Tipo 2
Domiclio com chefe sem parceiro
    Chefe  homem		
        O domiclio no inclui filhos       Tipo 3
        O domiclio inclui filhos           Tipo 4
    Chefe  mulher
        O domiclio no inclui filhos       Tipo 5
        O domiclio inclui filhos           Tipo 6

Por favor, observe que este programa utiliza variveis guardadas 
no dicionrio em sees anteriores.
*/

DEFINE DOMICIL.TIPODOM AS SWITCH
      INCASE DOMICIL.COMPAR = 1 AND DOMICIL.NFILHOS = 0
        ASSIGN 1
      INCASE DOMICIL.COMPAR = 1 AND DOMICIL.NFILHOS > 0
        ASSIGN 2
      INCASE DOMICIL.COMPAR = 0 AND DOMICIL.SEXOCH = 1 AND DOMICIL.NFILHOS = 0
        ASSIGN 3
      INCASE DOMICIL.COMPAR = 0 AND DOMICIL.SEXOCH = 2 AND DOMICIL.NFILHOS = 0
        ASSIGN 5
      INCASE DOMICIL.COMPAR = 0 AND DOMICIL.SEXOCH = 1 AND DOMICIL.NFILHOS > 0
        ASSIGN 4
      INCASE DOMICIL.COMPAR = 0 AND DOMICIL.SEXOCH = 2 AND DOMICIL.NFILHOS > 0
        ASSIGN 6
    VARLABEL "Tipo de domiclio"
    VALUELABELS
    1 "Chefe e cnjuge sem filhos"
    2 "Chefe e cnjuge com filhos"
    3 "Chefe homem sem parceiro e sem filhos"
    4 "Chefe homem sem parceiro mas com filhos"
    5 "Chefe mulher sem parceiro e sem filhos"
    6 "Chefe mulher sem parceiro mas com filhos"
    RANGE 1-6
    SAVE "VIVIEN_TIPOHOG.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF DOMICIL.TIPODOM

/*
Notas de programao:
1. O programa executa em pares de instrues INCASE (em caso de) ASSIGN 
  (assignar). O INCASE define a condio para o ASSIGN seguinte.
2. O ASSIGN pode estar escrito na mesma linha do INCASE.
3. Como em definies do tipo RECODE, o SWITCH aceita a clusula ELSE
   para assignar um valor a todos os casos no includos nas expresses de
   INCASEs anteriores.
4. Tanto como o RECODE, valores que no esto includos em nenhuma das
   expresses INCASE, se mantm igual, sempre e quando no exista uma 
   expresso ELSE.

Resultados:
    Categorias                               Casos        %
     Chefe e cnjuge sem filhos               2459     21,6
     Chefe e cnjuge com filhos               5088     44,7
     Chefe homem sem parceiro e sem filhos    1504     13,2
     Chefe homem sem parceiro mas com filhos   104      9,1
     Chefe mulher sem parceiro e sem filhos   1429     12,6
     Chefe mulher sem parceiro mas com filhos  791      7,0
     Total                                   11375    100,0

Ignorado :                                   2544	

Comentrios:
1. Domiclios que no tem chefe recebem o valor ignorado.
2. No se esquea de salvar o dicionrio depois de executar o programa.
*/
