RUNDEF Secao22

/*
VALORES NO SE APLICA

Descrio do programa:
Esta seo ilustra o conceito de valor No se Aplica. 
O valor "no aplica" reflete a no-existncia da definio do
conceito (varivel) para um caso de uma entidade. 
Este programa executa vrios clculos de uma mesma varivel
para demonstrar como controlar os valores no aplica.
*/

//Caso 1
DEFINE PESSOA.WFERT1 AS PESSOA.SEXO = 2 AND PESSOA.IDADE > 14
  TYPE BOOL
  VARLABEL "Mulheres maiores de 14 anos 1"
  
TABLE VERIF1 AS FREQUENCY OF PESSOA.WFERT1

/*
Resultados:
Categoras   Casos
 Falso       35345
 Verdadeiro  16844
 Total       52189

Comentrios:
1. O clculo de PESSOA.WFERT1 considera a populao total.
2. A categoria Falso inclui homens e mulheres menores de 15 
   anos.
*/

//Caso 2
DEFINE PESSOA.WFERT2 AS 1
  FOR PESSOA.SEXO = 2 AND PESSOA.IDADE > 14
  TYPE BOOL
  VARLABEL "Mulheres maiores de 14 aos 2"
  
TABLE VERIF2 AS FREQUENCY OF PESSOA.WFERT2

/*
Resultados:
Categoras   Casos
 Verdadeiro  16844
 Total       16844

NSA :     35345

Comentrios: 
1. O clculo de PESSOA.WFERT2 considera somente mulheres maiores de 
   14 anos.
2. Todo o resto as pessoas fica fora (clusula FOR) na categoria NSA.
   Somente a categoria Verdadeiro entra na tabela. 
*/

//Caso 3
DEFINE PESSOA.WFERT3 AS PESSOA.IDADE > 14
  FOR PESSOA.SEXO = 2
  TYPE BOOL
  VARLABEL "Mulheres maiores de 14 aos 3"
  
TABLE VERIF3 AS FREQUENCY OF PESSOA.WFERT3

/*
Resultados:
Categorias   Casos
 Falso        8511
 Verdadeiro  16844
 Total       25355

NSA :     26834

Comentrios:
1. O clculo de PESSOA.WFERT3 somente considera mulheres.
2. A categora NSA inclui os homens, e as mulheres menores
   de 15 anos entram na categoria Falso.
*/

//Caso 4
DEFINE PESSOA.WFERT4 AS PESSOA.IDADE > 14
  FOR PESSOA.SEXO = 2
  VARLABEL "Mulheres maiores de 14 aos 4"
  DEFAULT 2
  VALUELABELS 1 "Verdadeiro" 0 "Falso" 2 "Homens"
  RANGE 0-2
  
TABLE VERIF4 AS FREQUENCY OF PESSOA.WFERT4

/*
Resultados:
Categorias   Casos
 Falso        8511
 Verdadeiro  16844
 Homens      26834
 Total       52189

Comentrios:
1. O clculo de PESSOA.WFERT4 somente considera as mulheres,
   forando que os homens sejam includos na tabela
   na categoria 2 (DEFAULT 2 e RANGE 0-2). Neste caso no 
   possvel utilizar uma varivel de tipo BOOL.
2. Este resultado  melhor que o de PESSOA.WFERT1, j que nos entrega
   todas as combinaes possveis: mulheres menores de 15, mulheres
   maiores de 14, e homens.
*/
