RUNDEF Secao23

/*
VALORES OMITIDOS/IGNORADOS

Descrio do programa:
Um valor omitido  um valor invlido, quer dizer, um valor
fora de faixa. O valor da varivel est presente para
a observao, mas por alguma razo este valor no  um
valor aceito para a base de dados.

Um valor no aplica corresponde a no-existencia da varivel.
Um valor omitido corresponde a um valor "ilegal" para a varivel.
*/

//Igual a Secao22
DEFINE PESSOA.WFERT4 AS PESSOA.IDADE > 14
  FOR PESSOA.SEXO = 2
  VARLABEL "Mulheres maiores de 14 aos 4"
  DEFAULT 2
  VALUELABELS 1 "Verdadeiro" 0 "Falso" 2 "Homens"
  RANGE 0-2
  
TABLE VERIF4 AS FREQUENCY OF PESSOA.WFERT4  
  
/*
Resultados:
Categoras    Casos
 Falso         8511
 Verdadeiro   16844
 Homens       26834
 Total        52189


Comentrios:
1. O clculo de PESSOA.WFERT4 somente considera as mulheres,
   forando que os homens sejam includos na tabela
   na categoria 2 (DEFAULT 2 e RANGE 0-2). Neste caso no 
   possvel utilizar uma varivel de tipo BOOL.
2. Este resultado  melhor que o de PESSOA.WFERT1, j que nos entrega
   todas as combinaes possveis: mulheres menores de 15, mulheres
   maiores de 14, e homens.
*/

DEFINE PESSOA.WFERT5 AS PESSOA.IDADE > 14
  FOR PESSOA.SEXO = 2
  VARLABEL "Mulheres maiores de 14 anos 5"
  DEFAULT 2
  VALUELABELS 1 "Verdadeiro" 0 "Falso"
  RANGE 0-1

TABLE VERIF5 AS FREQUENCY OF PESSOA.WFERT4, PESSOA.WFERT5

/*
Notas de programao:
1. O clculo  idntico, a nica diferena aparece na clusula RANGE.
   Em WFERT5 o valor ignorado  introduzido reduzindo a faixa da 
   varivel.
2. Em ambos casos a varivel existe. No segundo caso, o valor da 
   varivel foi localizado artificialmente fora da faixa. 

Resultados:
Categorias    Casos
 Verdadeiro    8511
 Falso        16844
 Total        25355
 
Ignorado:     26834

Comentrios:
1. Somente considera a populao feminina.
2. Todos os homens recebem valores no aplica.
3. A clusula DEFAULT 2 deveria reintegrar os homenes nas categorias da 
   varivel, mas o RANGE 0-1 exclui os homens por ser um valor
   ilegal e coloca os homens como ignorados.
*/

